
Name:    krfb
Summary: Desktop sharing
Version: 4.11.3
Release: 1%{?dist}

License: GPLv2+ and GFDL
URL:     https://projects.kde.org/projects/kde/kdenetwork/%{name}
%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0: http://download.kde.org/%{stable}/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires: desktop-file-utils
BuildRequires: kdelibs4-devel >= %{version}
# kdenetwork(krfb): bundled libvncserver, see http://bugzilla.redhat.com/655844
BuildRequires: libvncserver-devel
BuildRequires: libjpeg-devel
%if 0%{?fedora}
%global telepathy 1
BuildRequires: pkgconfig(TelepathyQt4)
%endif
BuildRequires: zlib-devel

Requires: %{name}-libs%{?_isa} = %{version}-%{release}
Requires: kde-runtime%{?_kde4_version: >= %{_kde4_version}}

# when split occurred
Conflicts: kdenetwork-common < 7:4.10.80
Obsoletes: kdenetwork-krfb < 7:4.10.80
Provides:  kdenetwork-krfb = 7:%{version}-%{release}

%package libs
Summary: Runtime libraries for %{name}
Requires: %{name} = %{version}-%{release}
Obsoletes: kdenetwork-krfb-libs < 7:4.10.80
Provides:  kdenetwork-krfb-libs = 7:%{version}-%{release}
%description libs
%{summary}.


%description
%{summary}.


%prep
%setup -q


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

%find_lang %{name} --with-kde --without-mo


%check
desktop-file-validate %{buildroot}%{_kde4_datadir}/applications/kde4/%{name}.desktop


%post
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null || :

%posttrans
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null || :

%postun
if [ $1 -eq 0 ] ; then
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null || :
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null || :
fi

%files -f krfb.lang
%doc COPYING COPYING.DOC
%doc README AUTHORS
%{_kde4_bindir}/krfb
%{_kde4_appsdir}/krfb/
%{_kde4_datadir}/applications/kde4/krfb.desktop
%{_kde4_datadir}/kde4/services/krfb_*.desktop
%{_kde4_datadir}/kde4/servicetypes/krfb*.desktop
%{_kde4_libdir}/kde4/krfb_*.so
%if 0%{?telepathy:1}
%{_datadir}/dbus-1/services/org.freedesktop.Telepathy.Client.krfb_rfb_handler.service
%{_datadir}/telepathy/clients/krfb_rfb_handler.client
%endif

%post libs -p /sbin/ldconfig
%postun libs -p /sbin/ldconfig

%files libs
%{_kde4_libdir}/libkrfbprivate.so.4*


%changelog
* Sat Nov 02 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.11.3-1
- 4.11.3

* Sat Sep 28 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.11.2-1
- 4.11.2

* Wed Sep 04 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.11.1-1
- 4.11.1

* Thu Aug 22 2013 Rex Dieter <rdieter@fedoraproject.org> 4.11.0-2
- %%doc COPYING COPYING.DOC

* Sun Aug 11 2013 Rex Dieter <rdieter@fedoraproject.org> 4.11.0-1
- 4.11.0

* Tue Jul 30 2013 Rex Dieter <rdieter@fedoraproject.org> 4.10.97-1
- 4.10.97

* Fri Jun 28 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.10.90-1
- 4.10.90
